> For the complete documentation index, see [llms.txt](https://docs.allganize.ai/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.allganize.ai/api-reference/ja-1/hashtags.md).

# Hashtags

Conversation category related APIs

## ナレッジベースの自動ハッシュタグフィードバック(分類)

> このAPIを使用すると、ドキュメントに対する分類ハッシュタグを承認または拒否することができます。

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Hashtags","description":"Conversation category related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}}},"paths":{"/webapi/kb_auto_hashtag_feedback":{"post":{"tags":["Hashtags"],"operationId":"kbAutoHashtagFeedback","summary":"ナレッジベースの自動ハッシュタグフィードバック(分類)","description":"このAPIを使用すると、ドキュメントに対する分類ハッシュタグを承認または拒否することができます。","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"autoHashtagFeedbacks":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"更新するハッシュタグのID"},"state":{"type":"string","description":"ハッシュタグに設定する状態を指定します。'accepted'、'declined'、'suggested' のいずれかです。"}}}}}}}}},"responses":{"200":{"description":"正常に送信されました。","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"更新されたハッシュタグのID。"},"state":{"type":"string","description":"ハッシュタグの新しい状態。'accepted'、'declined'、'suggested'のいずれかになります。"}}}}}}}}},"400":{"description":"Invalid Parameter"},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## すべてのハッシュタグを取得する

> FAQおよびドキュメントの両方から、使用頻度と共にすべてのハッシュタグの情報を取得します。

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Hashtags","description":"Conversation category related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}}},"paths":{"/webapi/hashtags":{"get":{"tags":["Hashtags"],"operationId":"getHashtags","summary":"すべてのハッシュタグを取得する","description":"FAQおよびドキュメントの両方から、使用頻度と共にすべてのハッシュタグの情報を取得します。","responses":{"200":{"description":"ハッシュタグの取得に成功しました。","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","additionalProperties":{"type":"integer"},"description":"ハッシュタグ名とその使用回数のマッピング"}}}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## ドキュメントへの自動ハッシュタグ（分類）機能の内容をリストで取得する

> このAPIを使用すると、ドキュメントに対する分類キーワードを含むハッシュタグのリストを取得できます。

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Hashtags","description":"Conversation category related APIs"}],"servers":[{"url":"https://backend-ja.alli.ai","description":"JA"},{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"認証用のAPIキー"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するメンバーのメールアドレス"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのメールアドレス"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"任意: このリクエストに使用するユーザーのID"}}},"paths":{"/webapi/kb_auto_hashtag":{"post":{"tags":["Hashtags"],"operationId":"kbAutoHashtag","summary":"ドキュメントへの自動ハッシュタグ（分類）機能の内容をリストで取得する","description":"このAPIを使用すると、ドキュメントに対する分類キーワードを含むハッシュタグのリストを取得できます。","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"ids":{"type":"array","description":"自動ハッシュタグ付け機能の内容を取得したいドキュメントID"}}}}}},"responses":{"200":{"description":"自動ハッシュタグ付け機能のリストの取得に成功しました。","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"updated":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"ハッシュタグが対応するドキュメントのID"},"autoHashtags":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"ハッシュタグのID"},"state":{"type":"string","description":"ハッシュタグのステータス：「推奨」「承認」「却下」のいずれか。"},"bestConfidence":{"type":"number","description":"0から1までのこの自動生成されたハッシュタグの信頼度"},"autoHashtag":{"type":"object","properties":{"hashtag":{"type":"string","description":"ダッシュボードに表示されるハッシュタグの文字列値"}}}}}}}}}}},"errors":{"type":"object","nullable":true}}}}}},"400":{"description":"無効なパラメーター"},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.allganize.ai/api-reference/ja-1/hashtags.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
